from collections import OrderedDict
from decimal import Decimal

limitvalues = [
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/6001'),
        ('pollutant', 'PM2.5'),
        ('mean_type', 4),
        ('limitvalue_type', 5),
        ('value', Decimal('25')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'TV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/14'),
        ('pollutant', 'Cd (aerosol)'),
        ('mean_type', 4),
        ('limitvalue_type', 5),
        ('value', Decimal('5')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'TV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/6015'),
        ('pollutant', 'Benzo(a)pyrene (air+aerosol)'),
        ('mean_type', 4),
        ('limitvalue_type', 5),
        ('value', Decimal('1')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'TV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/5014'),
        ('pollutant', 'Cd in PM10 (aerosol)'),
        ('mean_type', 4),
        ('limitvalue_type', 5),
        ('value', Decimal('5')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'TV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/5015'),
        ('pollutant', 'Ni in PM10 (aerosol)'),
        ('mean_type', 4),
        ('limitvalue_type', 5),
        ('value', Decimal('20')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'TV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/18'),
        ('pollutant', 'As (aerosol)'),
        ('mean_type', 4),
        ('limitvalue_type', 5),
        ('value', Decimal('6')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'TV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/5018'),
        ('pollutant', 'As in PM10 (aerosol)'),
        ('mean_type', 4),
        ('limitvalue_type', 5),
        ('value', Decimal('6')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'TV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/5129'),
        ('pollutant', 'Benzo(a)pyrene in PM10 (air+aerosol)'),
        ('mean_type', 4),
        ('limitvalue_type', 5),
        ('value', Decimal('1')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'TV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/5029'),
        ('pollutant', 'Benzo(a)pyrene in PM10 (aerosol)'),
        ('mean_type', 4),
        ('limitvalue_type', 5),
        ('value', Decimal('1')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'TV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/15'),
        ('pollutant', 'Ni (aerosol)'),
        ('mean_type', 4),
        ('limitvalue_type', 5),
        ('value', Decimal('20')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'TV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/7'),
        ('pollutant', 'O3'),
        ('mean_type', 6),
        ('limitvalue_type', 5),
        ('value', Decimal('120')),
        ('count', 25),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'daysAbove-3yr'),
        ('objectivetype', 'TV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/6001'),
        ('pollutant', 'PM2.5'),
        ('mean_type', 4),
        ('limitvalue_type', 1),
        ('value', Decimal('25')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'LV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/6001'),
        ('pollutant', 'PM2.5'),
        ('mean_type', 1),
        ('limitvalue_type', 1),
        ('value', Decimal('888')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'hrsAbove'),
        ('objectivetype', 'LV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/1'),
        ('pollutant', 'SO2'),
        ('mean_type', 1),
        ('limitvalue_type', 1),
        ('value', Decimal('350')),
        ('count', 24),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'hrsAbove'),
        ('objectivetype', 'LV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/8'),
        ('pollutant', 'NO2'),
        ('mean_type', 1),
        ('limitvalue_type', 1),
        ('value', Decimal('200')),
        ('count', 18),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'hrsAbove'),
        ('objectivetype', 'LV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/1'),
        ('pollutant', 'SO2'),
        ('mean_type', 2),
        ('limitvalue_type', 1),
        ('value', Decimal('125')),
        ('count', 3),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'daysAbove'),
        ('objectivetype', 'LV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/5'),
        ('pollutant', 'PM10'),
        ('mean_type', 2),
        ('limitvalue_type', 1),
        ('value', Decimal('50')),
        ('count', 35),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'daysAbove'),
        ('objectivetype', 'LV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/5'),
        ('pollutant', 'PM10'),
        ('mean_type', 4),
        ('limitvalue_type', 1),
        ('value', Decimal('40')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'LV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/20'),
        ('pollutant', 'Benzene'),
        ('mean_type', 4),
        ('limitvalue_type', 1),
        ('value', Decimal('5')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'LV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/8'),
        ('pollutant', 'NO2'),
        ('mean_type', 4),
        ('limitvalue_type', 1),
        ('value', Decimal('40')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'LV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/10'),
        ('pollutant', 'CO'),
        ('mean_type', 6),
        ('limitvalue_type', 1),
        ('value', Decimal('10')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'daysAbove'),
        ('objectivetype', 'LV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/7'),
        ('pollutant', 'O3'),
        ('mean_type', 9),
        ('limitvalue_type', 5),
        ('value', None),
        ('count', None),
        ('vegetation_value', Decimal('18000')),
        ('eco_value', None),
        ('reportingmetric', 'AOT40c-5yr'),
        ('objectivetype', 'TV')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/9'),
        ('pollutant', 'NOx'),
        ('mean_type', 4),
        ('limitvalue_type', 9),
        ('value', None),
        ('count', None),
        ('vegetation_value', Decimal('30')),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'CL')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/1'),
        ('pollutant', 'SO2'),
        ('mean_type', 11),
        ('limitvalue_type', 9),
        ('value', None),
        ('count', None),
        ('vegetation_value', Decimal('20')),
        ('eco_value', None),
        ('reportingmetric', 'wMean'),
        ('objectivetype', 'CL')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/1'),
        ('pollutant', 'SO2'),
        ('mean_type', 4),
        ('limitvalue_type', 9),
        ('value', None),
        ('count', None),
        ('vegetation_value', Decimal('20')),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'CL')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/7'),
        ('pollutant', 'O3'),
        ('mean_type', 1),
        ('limitvalue_type', 12),
        ('value', Decimal('180')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'hrsAbove'),
        ('objectivetype', 'INT')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/7'),
        ('pollutant', 'O3'),
        ('mean_type', 1),
        ('limitvalue_type', 7),
        ('value', Decimal('240')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', '3hAbove'),
        ('objectivetype', 'ALT')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/6001'),
        ('pollutant', 'PM2.5'),
        ('mean_type', 4),
        ('limitvalue_type', 11),
        ('value', Decimal('9.3')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'AEI'),
        ('objectivetype', 'ERT')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/6001'),
        ('pollutant', 'PM2.5'),
        ('mean_type', 4),
        ('limitvalue_type', 10),
        ('value', Decimal('20')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'AEI'),
        ('objectivetype', 'ECO')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/7'),
        ('pollutant', 'O3'),
        ('mean_type', 6),
        ('limitvalue_type', 6),
        ('value', Decimal('120')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'daysAbove'),
        ('objectivetype', 'LTO')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/7'),
        ('pollutant', 'O3'),
        ('mean_type', 9),
        ('limitvalue_type', 6),
        ('value', None),
        ('count', None),
        ('vegetation_value', Decimal('6000')),
        ('eco_value', None),
        ('reportingmetric', 'AOT40c'),
        ('objectivetype', 'LTO')
    ]),
    OrderedDict([
        ('pollutant_uri', 'http://dd.eionet.europa.eu/vocabulary/aq/pollutant/5012'),
        ('pollutant', 'Lead in PM10 (aerosol)'),
        ('mean_type', 4),
        ('limitvalue_type', 1),
        ('value', Decimal('0.5')),
        ('count', None),
        ('vegetation_value', None),
        ('eco_value', None),
        ('reportingmetric', 'aMean'),
        ('objectivetype', 'LV')
    ])
]
