const ErrorParser = {
  asMessage: function (error) {
    let message = "Unknown error";
    if (error.response.status == 404) message = "Route not found";
    else if (error.response.status == 400) {
      let errMsg = error.response.data.msg;
      if (error.response.data instanceof Blob) errMsg = "File error: Could not parse input data";
      message = JSON.stringify(errMsg);
    } else {
      console.log("Error response: ", error.response);
      message = error.response.data.msg;
      if (!message) message = "Something went wrong!";
    }
    return message;
  }
};

export default ErrorParser;
